#ifndef _FILETREE_H_
#define _FILETREE_H_

#include "pixmaps.h"

#include <qlistview.h>
#include <qpopupmenu.h>

class FileTree : public QListView
{
     Q_OBJECT
public:
     /// Constructor. Calls parent constructor, creates some columns
     /// and connects some signals to get the menu working.
     FileTree( QWidget* parent = 0, const char* name = 0, bool withGetFileList = true);

public slots:
     void getUserFileList();
     void downloadFile();
     void dispMenu( QListViewItem* item, const QPoint& p, int column );
     void addItemToTree( const QString& user, 
			 const QString& fileName, 
			 const QString& size,
			 const QString& slot);

signals:
     void getUserFileList( const QString& nick );
     void downloadFile( const QString& nick, 
			const QString& fileName, 
			const QString& localName,
			int size );
    

private:
     QPopupMenu* menu;

};

#endif


/*
 *
 * $Log: filetree.h,v $
 * Revision 1.6  2003/06/16 12:18:12  olof
 * loads
 *
 * Revision 1.5  2003/06/11 22:14:21  olof
 * transfers ok again
 *
 * Revision 1.4  2003/05/07 00:11:54  olof
 * massa mandelmassa
 *
 * Revision 1.3  2003/04/16 20:54:47  olof
 * user file list fixed
 *
 * Revision 1.2  2003/03/18 14:27:29  mickeg
 * Filetree working
 * Hopefully the userfilelisting also works.
 *
 * Revision 1.1  2003/03/16 21:00:48  mickeg
 * Added functionality for the tree view of the search results
 * Still some bugs
 * Doesn't iterate through the children accurately
 *
 *
 */
